## drslib 0.3.0a3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .

DOCDIR = ../../esgf-drslib-site

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest includes

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

## Wipes the whole documents directory!
#clean:
#	-rm -rf $(BUILDDIR)/*

html: includes
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DOCDIR)
	@echo
	@echo "Build finished. The HTML pages are in $(DOCDIR)."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/isenesdrslib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/isenesdrslib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/isenesdrslib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/isenesdrslib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

includes:
	mkdir -p $(DOCDIR)/doc
	cp p_cmip5/*.pdf $(DOCDIR)/doc/

=== debian/changelog ===
drslib (0.3.0a3-5build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:43:49 +0000

drslib (0.3.0a3-5) unstable; urgency=low

  * Change Depends: on python3-xlrd to a Recommends: as it doesn't
    exist yet. 
  * Fix man pages (lintian checks; remove bad comments)
  * Python code is Arch: all
  * Fix translate_cmip3 manpage

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 May 2013 17:02:30 +0100

drslib (0.3.0a3-4) unstable; urgency=low

  * Add python3-drslib package; python3 support and patch.
  * Fixes to debian/rules to fix FTBFS. Closes: #717513; 
    caused by changes in debhelper? package now double-builds cleanly.
  * Standards-Version: 3.9.4, DH_COMPAT=9;  

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 May 2013 13:20:01 +0100

drslib (0.3.0a3-3) unstable; urgency=low

  * Add python-pkg-resources needed by drslib. Closes: #672908.
  * Standards-Version: 3.9.3
  * Split executables out of python-drslib to drslib package; add man pages. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 May 2012 15:50:56 +0100

drslib (0.3.0a3-2) unstable; urgency=low

  * Fix cut-n-paste error for the package description .

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Nov 2011 16:28:46 +0000

drslib (0.3.0a3-1) unstable; urgency=low

  * Initial release. (Closes: #649074)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Nov 2011 10:09:50 +0000

=== debian/control ===
Source: drslib
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), python-all, python-setuptools,python3-all, python3-setuptools
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage:  http://esgf.org/esgf-drslib-site/

Package: drslib
Section: science
Architecture: all
Conflicts: python-drslib (<= 0.3.0a3-2)
Depends: python-drslib, python-pkg-resources, ${misc:Depends}, python
Description: Command-line tools for the Data Reference Syntax library
 This is a set of command-line tools for using the DRSLIB python API.
 
Package: python-drslib
Section: python
Architecture: all
Depends: ${python:Depends},${misc:Depends}, python-lxml, python-xlrd
Recommends: cmip5-cmor-tables
Description: Library for processing the CMIP5 Data Reference Syntax
 CMIP5 is the Climate Model Intercomparison Project5.  This library supports
 the generation of paths and filenames corresponding to version 0.28 of thei
 CMIP Data Reference Syntax. It includes tools for converting from previous
 CMIP3 forms.

Package: python3-drslib
Section: python
Architecture: all
Depends: ${misc:Depends}, python3-lxml,  python3 (>= 3.2.3-3~), python3-metaconfig
Recommends: cmip5-cmor-tables, python3-xlrd
Description: Library for processing the CMIP5 Data Reference Syntax (Python3)
 CMIP5 is the Climate Model Intercomparison Project5.  This library supports
 the generation of paths and filenames corresponding to version 0.28 of thei
 CMIP Data Reference Syntax. It includes tools for converting from previous
 CMIP3 forms.

=== debian/rules ===
#!/usr/bin/make -f

# The magic debhelper rule:
%:
	dh $@  --with python2,python3

# export DH_VERBOSE=1

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)



build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install
	find debian -name '*.xls' -exec chmod -x {} \;
	find debian -name '*.csv' -exec chmod -x {} \;
	mkdir -p debian/drslib/etc/bash_completion.d
	cp debian/drslibCompletion.bash debian/drslib/etc/bash_completion.d

## drslib 0.3.1.p3

=== debian/changelog ===
drslib (0.3.1.p3-2) unstable; urgency=medium

  * Drop python2 support as EOL. Closes: #936446
  * Move to debhelper-compat (=12)
  * Standards-Version: 4.4.0
  * Drop ancient python field from d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Sep 2019 10:01:07 +0100

drslib (0.3.1.p3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.1.3
  * Add B-D on dh-python
  * Update homepage to github
  * Move bash completions to /usr/share/bash-completions

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Apr 2018 13:04:12 +0100

=== debian/control ===
Source: drslib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 12), 
 dh-python,
 python3-all, 
 python3-setuptools,
 python3-xlrd
Standards-Version: 4.4.0
Homepage: https://github.com/ESGF/esgf-drslib

Package: drslib
Section: science
Architecture: all
Depends: python3-drslib, python3-pkg-resources, ${misc:Depends}, python3
Description: Command-line tools for the Data Reference Syntax library
 This is a set of command-line tools for using the DRSLIB python API.
 

Package: python3-drslib
Section: python
Architecture: all
Depends: ${misc:Depends}, python3-lxml,  python3 (>= 3.2.3-3~), python3-metaconfig
Recommends: cmor-tables, python3-xlrd
Description: Library for processing the CMIP5 Data Reference Syntax (Python3)
 CMIP5 is the Climate Model Intercomparison Project5.  This library supports
 the generation of paths and filenames corresponding to version 0.28 of thei
 CMIP Data Reference Syntax. It includes tools for converting from previous
 CMIP3 forms.

=== debian/rules ===
#!/usr/bin/make -f

# The magic debhelper rule:
%:
	dh $@  --with python3 --buildsystem=pybuild

# export DH_VERBOSE=1

PYTHON3=$(shell py3versions -vr)



build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build


override_dh_auto_test:
	@echo Disabling tests for this release

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install
	find debian -name '*.xls' -exec chmod -x {} \;
	find debian -name '*.csv' -exec chmod -x {} \;
	mkdir -p debian/drslib//usr/share/bash-completion/completions/
	cp debian/drslibCompletion.bash debian/drslib//usr/share/bash-completion/completions/drslib

## drslib 0.3.2

=== debian/changelog ===
drslib (0.3.2-1) unstable; urgency=medium

  * Move to standards-version 4.7.0
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Drop depends on deprecated python3-pkg-resources. Closes: #1083375
  * Fix version; setuptools now stricter. Closes: #1030456
  * Ack homepage updated. Closes: #769178
  * Fix install pattern in for dh-compat 13
  * Dh-compat 13
  * Add vcs (salsa) to d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Oct 2024 12:19:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: drslib
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
- dh-python,
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper-compat (= 13), 
+ dh-sequence-python3,
  python3-all, 
  python3-setuptools,
  python3-xlrd
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/science-team/drslib.git
+Vcs-Git: https://salsa.debian.org/science-team/drslib.git -b debian/latest
 Homepage: https://github.com/ESGF/esgf-drslib
 
 Package: drslib
 Section: science
 Architecture: all
-Depends: python3-drslib, python3-pkg-resources, ${misc:Depends}, python3
+Depends: python3-drslib, ${misc:Depends}, python3
 Description: Command-line tools for the Data Reference Syntax library
  This is a set of command-line tools for using the DRSLIB python API.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # The magic debhelper rule:
 %:
-	dh $@  --with python3 --buildsystem=pybuild
+	dh $@  --buildsystem=pybuild
 
 # export DH_VERBOSE=1
 
@@ -15,7 +15,6 @@
 
 override_dh_auto_build: $(PYTHON3:%=build-python%)
 	dh_auto_build
-
 
 override_dh_auto_test:
 	@echo Disabling tests for this release
